# FEKT-SCARA - Bakalářská práce

## Struktura projektu

```bash
├── .vscode         # Konfigurace prostředí pro sazbu
├── 3mf             # 3mf soubory vhodné ke slicování
├── cad             # Zdrojové soubory CAD
├── README.md       # Informace k projektu (tento soubor)
├── scripts         # Skripty
└── tex             # Text práce
    ├── generated   # Generované stránky BP
    ├── images      # Obrázky použité v BP
    ├── out         # Výstupní sobory sazby
    ├── template    # Soubory šablony
    └── text        # Text práce

```

## Součásti práce

### CAD modely ve formátu FreeCAD Standard file format (.FCStd)

Parametricky modelované díly pro stavbu tiskárny. Modely využívají nástroj VarSet, který obsahuje sadu vlastností, které lze referencovat při vytváření modelu.

### Text práce

Práce je kompilovaná sázecím systémem Latex a modifikovaným balíčkem thesis 4.11 dostupný z: [latex.fekt.vut.cz](https://latex.fekt.vut.cz/).

#### Závislosti

- texlive
- texlive-langczechslovak
- texlive-langgreek
- perl-file-homedir
- perl-yaml-tiny

### Skripty

Některé kroky usnadňují skripty (např. generování tiskových souborů).

#### Závislosti

- freecad
- python3

#### Generování tiskových souborů

Pro generování tiskových souborů slouží skript `generate_3mf_files.py` spouštěný následujícím příkazem:

```sh
./scripts/generate_3mf_files.py
```

nebo

```sh
freecadcmd ./scripts/generate_3mf_files.py
```
